Bug 233216 - [WebAuthn] Add SPI for makeCredential / getAssertion using clientDataHash
Summary: [WebAuthn] Add SPI for makeCredential / getAssertion using clientDataHash
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: j_pascoe@apple.com
URL:
Keywords: InRadar
Depends on:
Blocks: 233371
  Show dependency treegraph
 
Reported: 2021-11-16 14:46 PST by j_pascoe@apple.com
Modified: 2021-11-19 09:21 PST (History)
2 users (show)

See Also:


Attachments
Patch (5.15 KB, patch)
2021-11-16 15:34 PST, j_pascoe@apple.com
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (5.14 KB, patch)
2021-11-16 16:21 PST, j_pascoe@apple.com
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description j_pascoe@apple.com 2021-11-16 14:46:15 PST
In order to avoid needing to make and coordinate changes to ASC to support new fields or changes within ClientDataJSON and to maintain a single source of truth, calls to ASC from WebKit will contain a precomputed ClientDataHash.

This will especially be relevant if we choose to support Secure Payment Confirmation (SPC), which involves extending ClientDataJSON with payment related fields not relevant to AuthenticationServices (https://www.w3.org/TR/2021/WD-secure-payment-confirmation-20210831/#dictdef-collectedclientpaymentdata).
Comment 1 Radar WebKit Bug Importer 2021-11-16 14:47:40 PST
<rdar://problem/85476386>
Comment 2 j_pascoe@apple.com 2021-11-16 15:34:28 PST
Created attachment 444443 [details]
Patch
Comment 3 j_pascoe@apple.com 2021-11-16 16:21:12 PST
Created attachment 444447 [details]
Patch
Comment 4 Brent Fulgham 2021-11-17 15:04:33 PST
Comment on attachment 444447 [details]
Patch

r=me
Comment 5 EWS 2021-11-17 16:10:08 PST
Committed r285965 (244365@main): <https://commits.webkit.org/244365@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444447 [details].